# Plutonium Menus: A collection of Quake III: Arena style menus

The menus available in this repository are "stock" menus created for Modern Warfare 3 (2011) and were extracted using [OAT][oat-link].

The goal of this repository is to show how menus can be modified by creating a simple mod with OAT.
This repository modifies the menu `ui_mp/controls_multi.menu` to add a custom button.

## How to use OAT to compile this mod

You should invoke the linker with the following options:

| Argument                    | Description                                    |
|:----------------------------|:-----------------------------------------------|
| `--load=PATH`               | Required. Loads `localized_ui_mp.ff` fast file into memory. It is needed to find material and images not included in this repository. |
| `--menu-permissive`         | Required. Allows the tool to permit some "weird" syntax. |
| `--menu-no-optimization`    | Optional.                                                |

Replace `PATH` with the actual path pointing to the location of `localized_ui_mp.ff`.

[oat-link]:     https://github.com/Laupetin/openassettools
